OpenVDB 7.0.0

Classes | Functions
openvdb::v7_0::points::internal Namespace Reference

## Classes
struct | PointDataNodeChain
| Recursive node chain which generates a boost::mpl::vector listing value converted types of nodes to PointDataGrid nodes of the same configuration, rooted at RootNodeType in reverse order, from LeafNode to RootNode. See also TreeConverter<>. More...
struct | PointDataNodeChain< tree::InternalNode< ChildT, Log2Dim >, 1 >
struct | PointDataNodeChain< tree::InternalNode< ChildT, Log2Dim >, HeadLevel >

## Functions
void | initialize ()
| Global registration of point data-related types. More...
void | uninitialize ()
| Global deregistration of point data-related types. More...

## Function Documentation

## ◆ initialize()

void openvdb::v7_0::points::internal::initialize | ( |  | ) |

Global registration of point data-related types.

Note
  This is called from `openvdb::initialize`, so there is no need to call it directly.

## ◆ uninitialize()

void openvdb::v7_0::points::internal::uninitialize | ( |  | ) |

Global deregistration of point data-related types.

Note
  This is called from `openvdb::uninitialize`, so there is no need to call it directly.